# libogg makefile configured for use with gcc on any platform

###############################################################################
#                                                                             #
# To build a production libogg (preferrably using gmake), just type 'make'.   #
# To build with debugging or profiling information, use 'make debug' or       #
# 'make profile' respectively.  'make clean' is a good idea between builds    #
# with different target names, or before a final build.                       #
#                                                                             #
###############################################################################


# DO NOT EDIT BELOW! ##########################################################
# (unless, of course, you know what you are doing :) ##########################

@SET_MAKE@
FLAGS=@TYPESIZES@ @CFLAGS@
CC=@CC@
LD=@CC@
LDFLAGS=@LDFLAGS@ $(FLAGS)
AR=@AR@
RANLIB=@RANLIB@

OFILES = Box.o Sme.o List.o Viewport.o Scrollbar.o SmeBSB.o Command.o \
	 XowInit.o Simple.o SmeLine.o Form.o MenuButton.o SimpleMenu.o \
	 Label.o Panner.o Toggle.o DumbBox.o


target:	$(OFILES) Xow.a

Xow.a: 		$(OFILES)	
		$(AR) -r Xow.a $(OFILES)
		$(RANLIB) Xow.a

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	-rm -f *.o *.a test? *~






